
<!-- affichage  détail d'un ot pour l'intrevenant  -->

    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title   "> Ordre de tarvail  </h4>
                            <p class="card-category"></p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <div *ngFor=" let c of arrayordres">

                                <table class="table" >
                                    <thead>
                                    <tr>
                                        <th scope="row"></th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <th scope="row">Ordre de travail</th>
                                        <td> {{c.id}} </td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Priorité</th>
                                        <td>{{c.date_envoi | date:'short'}}</td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Responsable</th>
                                        <td> {{c.Responsable.nom}} {{c.Responsable.prenom}} <br/>
                                            <span class="couleur ">    Tél: </span> &nbsp; {{c.Responsable.telephone}} </td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Gouvernante</th>
                                        <td> <span class="couleur "> </span> {{c.Gouvernante.nom}} {{c.Gouvernante.prenom}} <br/>
                                            <span class="couleur ">    Tél: </span> &nbsp;  {{c.Gouvernante.telephone}} </td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Priorité</th>
                                        <td>{{c.priorite}} </td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Emplacement</th>
                                        <td> {{c.Emplacement.libelle_emplacement}}</td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Pannes</th>
                                        <td><span *ngFor=" let p of c.Pannes" >{{p.libelle_panne}} <br/>  </span></td>
                                    </tr>

                                    <tr>
                                        <th scope="row">Observation</th>
                                        <td>{{c.observation}}</td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Date début d'intervention</th>
                                        <td> {{c.date_deb_interv | date:'short'}} </td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Date limite d'intervention</th>
                                        <td> {{c.date_limit_interv | date:'short'}}</td>
                                    </tr>
                                    <tr>
                                        <th scope="row"></th>
                                        <td></td>
                                    </tr>

                                    </tbody>

                                </table>
                                    <div>
                                        <button mat-raised-button type="submit" class="btn btn-danger pull-right"
                                                (click)="backToMesOT()">Annuler</button>
                                        <button mat-raised-button type="submit"
                                                class="btn btn-success pull-right"
                                                [routerLink]="[ '/traiterMonOrdre', c.id ]">Traiter</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

